---
title: Accelerometer.x
slug: Web/API/Accelerometer/x
tags:
  - API
  - Accelerometer
  - Accelerometer API
  - Generic Sensor API
  - Property
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
  - x
---
<div>{{APIRef("Generic Sensor API")}}{{seecompattable}}</div>

<p><span class="seoSummary">The <strong><code>x</code></strong> read-only property of the {{domxref("Accelerometer")}} interface returns a double precision integer containing the acceleration of the device along the its x axis. </span></p>

<p>If a feature policy blocks use of a feature it is because your code is inconsistent with the policies set on your server. This is not something that would ever be shown to a user. See {{httpheader('Feature-Policy')}} for implementation instructions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>xAcceleration</var> = <var>accelerometer</var>.x</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref('Number')}}.</p>

<h2 id="Example">Example</h2>

<p>Acceleration is typically read in the {{domxref('Sensor.onreading')}} event callback. In the example below this occurs sixty times a second.</p>

<pre class="brush: js notranslate">let accelerometer = new Accelerometer({frequency: 60});

accelerometer.addEventListener('reading', e =&gt; {
  console.log("Acceleration along the X-axis " + accelerometer.x);
  console.log("Acceleration along the Y-axis " + accelerometer.y);
  console.log("Acceleration along the Z-axis " + accelerometer.z);
});
accelerometer.start();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Defines sensors in general.</td>
  </tr>
  <tr>
   <td>{{SpecName('Accelerometer','#accelerometer-x','x')}}</td>
   <td>{{Spec2('Accelerometer')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Accelerometer.x")}}</p>
